﻿var url = require("url");
var system = require("../../base/system");
const verify = require("../../base/utils/verify").Verify;
const CtxBody = require("../../base/utils/CtxBody");
const tmSpringboard = require("../../base/controller/tm.springboard");
// var userCtl = system.getObject("web.auth.userCtl");
const utilsNeedSve = system.getObject("service.utilsSve.utilsNeedSve");
module.exports = function (app) {
	app.post('/tm/springboard', async function(req, res) {
		let body = req.body || {};
		let _tmSpringboard = new tmSpringboard(body);
		try {
			verify.notNull(body.ActionProcess, 'ActionProcess 不能为空!');
			verify.notNull(body.ActionType, 'ActionType 不能为空!');
			verify.notNull(body.ActionBody, 'ActionBody 不能为空!');
			let data = await _tmSpringboard.transferRequest();
			if (body.ActionType === "SaveTradeMarkProductSolution") {//提交注册方案到阿里
				body.ActionBody.BizId = data.BizId//TM_单号
				body.ActionBody.needNo = body.ActionBody.IntentionBizId
				//body.ActionBody.serviceOrderNo//云服单号
				//body.ActionBody.IntentionBizId//needid需求号
				body.ActionBody.bizId = body.ActionBody.IntentionBizId
				let result = await utilsNeedSve.tmNotifyChannel(body.ActionBody)//通知启服通保存
				if (!result.success)
					return CtxBody.error(res, {});
			}
			CtxBody.success(res, data);
			console.log("----返回成功");
		} catch (error) {
			console.error("------error", error);
			await _tmSpringboard.addErrorLog(error);
			CtxBody.error(res, error);
		}
	});

};
